micro_utils.dokka
0.15.1

# Base64Serializer

open class Base64Serializer<T>(converterFrom: (T) -> String, converterTo: (String) -> T) : KSerializer<T>

## Constructors

Base64Serializer
Link copied to clipboard
fun <T> Base64Serializer(converterFrom: (T) -> String, converterTo: (String) -> T)

## Functions

deserialize
Link copied to clipboard
open override fun deserialize(decoder: Decoder): T
serialize
Link copied to clipboard
open override fun serialize(encoder: Encoder, value: T)

## Properties

descriptor
Link copied to clipboard
open override val descriptor: SerialDescriptor

## Inheritors

Base64StringSerializer
Link copied to clipboard
Base64ByteArraySerializer
Link copied to clipboard